LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XPointer Interface Referencepublished

gives access to the type of mouse pointer. More...

`import <XPointer.idl;`

Inheritance diagram for XPointer:

## Public Member Functions
void | setType ([in] long nType)
| selects a SystemPointer for this mouse pointer.
long | getType ()
| returns the currently set SystemPointer of this mouse pointer.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

gives access to the type of mouse pointer.

## Member Function Documentation

## ◆ getType()

long getType | ( |  | ) |

returns the currently set SystemPointer of this mouse pointer.

## ◆ setType()

void setType | ( | [in] long | nType | ) |

selects a SystemPointer for this mouse pointer.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XPointer.idl